| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_next.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Macros
#define | SETPIXEL(op, v)
#define | LITERALROW 0x00
#define | LITERALSPAN 0x40
#define | WHITE ((1<<2)-1)

## Functions
int | TIFFInitNeXT (TIFF *tif, int scheme)

## Macro Definition Documentation

#define LITERALROW 0x00

Definition at line 44 of file tif_next.c.

#define LITERALSPAN 0x40

Definition at line 45 of file tif_next.c.

#define SETPIXEL | ( |  | op,
|  |  | v
| ) |  |

Value:
{ \
switch (npixels++ & 3) { \
case 0: op[0] = (unsigned char) ((v) << 6); break; \
case 1: op[0] |= (v) << 4; break; \
case 2: op[0] |= (v) << 2; break; \
case 3: *op++ |= (v); break; \
} \
}

Definition at line 35 of file tif_next.c.

#define WHITE ((1<<2)-1)

Definition at line 46 of file tif_next.c.

## Function Documentation

int TIFFInitNeXT | ( | TIFF * | tif,
|  | int | scheme
| ) |  |

Definition at line 137 of file tif_next.c.